[Bug 713827] [NEW] [update-maintainer] KeyError: '# psmisc just for exiwhat.\n'

Artur Rona ari-tczew at ubuntu.com
Sat Feb 5 22:21:02 UTC 2011

Public bug reported:

Binary package hint: ubuntu-dev-tools

$ update-maintainer
The original maintainer is: Exim4 Maintainers <pkg-exim4-maintainers at lists.alioth.debian.org>
Resetting as: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Traceback (most recent call last):
  File "/usr/bin/update-maintainer", line 43, in <module>
  File "/usr/bin/update-maintainer", line 40, in main
    sys.exit(update_maintainer(options.debian_directory, not options.quiet))
  File "/usr/lib/python2.7/dist-packages/ubuntutools/update_maintainer.py", line 102, in update_maintainer
  File "/usr/lib/python2.7/dist-packages/ubuntutools/control.py", line 61, in save
    content = u"\n".join([x.dump() for x in self.paragraphs])
  File "/usr/lib/pymodules/python2.7/debian/deb822.py", line 406, in dump
    value = self.get_as_string(key)
  File "/usr/lib/pymodules/python2.7/debian/deb822.py", line 381, in get_as_string
    return unicode(self[key])
  File "/usr/lib/pymodules/python2.7/debian/deb822.py", line 178, in __getitem__
    value = self.__parsed[key]
  File "/usr/lib/pymodules/python2.7/debian/deb822.py", line 62, in __getitem__
    raise KeyError(key)
KeyError: '# psmisc just for exiwhat.\n'

** Affects: ubuntu-dev-tools (Ubuntu)
     Importance: Undecided
         Status: New

You received this bug notification because you are a member of MOTU,
which is subscribed to ubuntu-dev-tools in ubuntu.

  [update-maintainer] KeyError: '# psmisc just for exiwhat.\n'

More information about the universe-bugs mailing list